events.listen('item.tags', event => {
    //basic machineframe 
    event.get('forge:machineframe/basic').add('thermal:machine_frame')
    event.get('forge:machineframe/basic').add('industrialforegoing:machine_frame_simple')
    event.get('forge:machineframe/basic').add('mekanism:steel_casing')

    //yellorium
    event.get('forge:ingots/uranium').remove('bigreactors:yellorium_ingot')
    event.get('forge:dusts/uranium').remove('bigreactors:yellorium_dust')

    //fix certus quartz dust from jaopca for now
    //event.get('appliedenergistics2:dusts/certus_quartz').add('jaopca:dusts.certus_quartz')
    //event.get('appliedenergistics2:dusts/quartz').add('jaopca:dusts.certus_quartz')

    event.get('appliedenergistics2:dusts/ender').add('thermal:ender_pearl_dust')
    
    //compressed iron gear
    event.get('forge:gears/compressed_iron').add('pneumaticcraft:compressed_iron_gear')

    //remove unused ore tags
    event.get('forge:ores/copper').remove('mekanism:copper_ore')
    event.get('forge:ores/tin').remove('mekanism:tin_ore')
    event.get('forge:ores/lead').remove('mekanism:lead_ore')
    event.get('forge:ores/copper').remove('immersiveengineering:ore_copper')
    event.get('forge:ores/lead').remove('immersiveengineering:ore_lead')
    event.get('forge:ores/silver').remove('immersiveengineering:ore_silver')
    event.get('forge:ores/nickel').remove('immersiveengineering:ore_nickel')
    event.get('forge:ores/uranium').remove('immersiveengineering:ore_uranium')
    event.get('forge:ores/copper').remove('create:copper_ore')
    event.get('forge:ores/copper').remove('tconstruct:copper_ore')
    event.get('forge:ores/aluminium').remove('zycraft:aluminium_ore')
    event.get('forge:ores/aluminum').remove('zycraft:aluminium_ore')
    event.get('forge:ores/lead').remove('eidolon:lead_ore')
    event.get('forge:dyes').remove('mekanism:dust_sulfur')
    event.get('forge:dyes/yellow').remove('mekanism:dust_sulfur')

    //vinteum ore
    event.get('forge:ores/vinteum').add('mana-and-artifice:vinteum_ore')
    event.get('forge:ores').add('mana-and-artifice:vinteum_ore')

    //saw dust
    event.get('forge:dusts/wood').add('thermal:sawdust')

    //marble-chisel
    event.get('chisel:marble').add('astralsorcery:marble_raw')
    event.get('chisel:marble').add('quark:marble')

    //basalt-chisel
    event.get('chisel:basalt').add('minecraft:basalt')

    //limestone-chisel
    event.get('chisel:limestone').add('quark:limestone')
    event.get('chisel:limestone').add('create:limestone')

    //stonebricks-chisel
    event.get('chisel:stone_bricks').add('byg:rocky_stone')
    event.get('chisel:stone_bricks').add('byg:soapstone')

    //scoria-chisel
    //event.get('chisel:scoria').add('create:scoria')
    //event.get('chisel:scoria').add('byg:scoria_stone')

    //aluminum-chisel
    event.get('chisel:metals/aluminum').add('immersiveengineering:storage_aluminum')

    //uranium-chisel
    //event.get('chisel:metals/uranium').add('immersiveengineering:storage_uranium')
    //event.get('chisel:metals/uranium').add('mekanism:block_uranium')

    /*let jetpacks = [
        'ironjetpacks:steel_jetpack',
        'ironjetpacks:invar_jetpack',
        'ironjetpacks:electrum_jetpack',
        'ironjetpacks:enderium_jetpack',
        'mekanism:jetpack',
        'mekanism:jetpack_armored'
    ]

    jetpacks.forEach(item => {
        event.get('curios:body').add(item)
    })*/
})

onEvent('fluid.tags', event => {
    //event.get('forge:creosote').add('thermal:creosote')
})

//#minecraft:beehive_inhabitors
onEvent('entity_type.tags', event => {
    let bees = [
        'resourcefulbees:aluminum_bee',
        'resourcefulbees:apatite_bee',
        'resourcefulbees:blazing_bee',
        'resourcefulbees:brass_bee',
        'resourcefulbees:bronze_bee',
        'resourcefulbees:certus_quartz_bee',
        'resourcefulbees:cinnabar_bee',
        'resourcefulbees:coal_bee',
        'resourcefulbees:constantan_bee',
        'resourcefulbees:copper_bee',
        'resourcefulbees:creeper_bee',
        'resourcefulbees:diamond_bee',
        'resourcefulbees:electrum_bee',
        'resourcefulbees:emerald_bee',
        'resourcefulbees:ender_bee',
        'resourcefulbees:enderium_bee',
        'resourcefulbees:fluorite_bee',
        'resourcefulbees:frosty_bee',
        'resourcefulbees:ghost_bee',
        'resourcefulbees:glowing_bee',
        'resourcefulbees:gold_bee',
        'resourcefulbees:grassy_bee',
        'resourcefulbees:icy_bee',
        'resourcefulbees:invar_bee',
        'resourcefulbees:iron_bee',
        'resourcefulbees:lapis_bee',
        'resourcefulbees:lava_bee',
        'resourcefulbees:lead_bee',
        'resourcefulbees:lumium_bee',
        'resourcefulbees:magma_bee',
        'resourcefulbees:netherite_bee',
        'resourcefulbees:netherwart_bee',
        'resourcefulbees:nickel_bee',
        'resourcefulbees:niter_bee',
        'resourcefulbees:obsidian_bee',
        'resourcefulbees:osmium_bee',
        'resourcefulbees:pumpkin_bee',
        'resourcefulbees:redstone_bee',
        'resourcefulbees:rgbee_bee',
        'resourcefulbees:rocky_bee',
        'resourcefulbees:sandy_bee',
        'resourcefulbees:signalum_bee',
        'resourcefulbees:silky_bee',
        'resourcefulbees:silver_bee',
        'resourcefulbees:skeleton_bee',
        'resourcefulbees:slimy_bee',
        'resourcefulbees:steel_bee',
        'resourcefulbees:sugarcane_bee',
        'resourcefulbees:sulfur_bee',
        'resourcefulbees:tin_bee',
        'resourcefulbees:uranium_bee',
        'resourcefulbees:water_bee',
        'resourcefulbees:wither_bee',
        'resourcefulbees:zinc_bee',
        'resourcefulbees:zombie_bee'
    ]
    bees.forEach(i => {
        event.get('industrialforegoing:mob_imprisonment_tool_blacklist').add(i)
    });
    
})